Canonical发布Ubuntu 14.04 LTS的小型Linux内核安全更新(CVE-2019-6133)
2019/03/15 07:42:27 来源:Linux公社 作者:醉落红尘

Canonical为长期支持的Ubuntu 14.04 LTS(Trusty Tahr)操作系统系列发布了一个新的Linux内核更新,以解决最近发现的安全漏洞。

安全问题影响Ubuntu 14.04 LTS(Trusty Tahr)操作系统的Linux 3.13内核及其衍生产品,包括Kubuntu,Xubuntu,Lubuntu,Ubuntu Kylin,Ubuntu Studio,Mythbuntu等,允许攻击者以管理员身份运行程序。

该漏洞是一个竞态条件(CVE-2019-6133),由谷歌Project Zero的Jann Horn在Linux内核的fork()系统调用中发现的,它允许本地攻击者访问存储缓存授权的服务并运行具有管理权限的程序。

“系统可以作为管理员运行程序,Jann Horn在Linux内核的fork()系统调用中发现了竞态条件。本地攻击者可以使用它来访问缓存授权的服务,”具体详情阅读安全注意事项

Ubuntu 14.04.6 LTS (Trusty Tahr) 发布,带有补丁的APT包管理器

用户必须立即更新其安装

为了解决安全问题,Canonical建议所有Ubuntu 14.04 LTS(Trusty Tahr)用户尽快将安装更新到稳定软件库中可用的新内核版本。

用户需要更新的新内核版本是linux-image 3.13.0-166.216,适用于32位,64位和PowerPC 64位安装。来自Ubuntu 14.04 LTS的相应Linux硬件启用(HWE)内核更新也可用于Ubuntu 12.04 ESM用户,如linux-image 3.13.0-166.216~precision1。

请注意,安装新内核版本后,必须重新启动计算机才能修补安全问题。此外,您可能需要重建并重新安装可能已安装的任何第三方内核模块。 Ubuntu 14.04 LTS(Trusty Tahr)将一直支持到2019年4月30日。

要更新您的Ubuntu系统,请按照以下的说明更新您的机器。请记住,您需要在安装内核更新后重新启动计算机。

桌面版:

默认情况下,每天通知用户安全更新,每周通知用户非安全更新。 可以在Update Manager中设置Ubuntu如何提醒您以及如何配置系统以自动安装更新。 您可以随时按“Alt + F2”,输入“update-manager”并按Enter键来访问Update Manager。 它的设置可以通过按“设置”按钮进行调整。

一旦Update Manager打开,您可以查看并选择待定更新以及检查新更新。 只需按“安装更新”按钮即可将选定的软件包升级到更新版本。

服务器版:

如果安装了update-notifier-common软件包,Ubuntu会在控制台或远程登录时通过当天的消息(motd)提醒您有关未决更新。

登录后,您可以检查并应用新的更新:

$ sudo apt-get update
$ sudo apt-get dist-upgrade

执行更新时,首先查看适配器将要执行的操作,然后确认要应用更新(运行开发版本时尤其如此)。

如果您希望自动应用更新,请确保已安装无人参与升级软件包,然后运行“dpkg-reconfigure unattended-upgrades”。 请注意,更新可能会重新启动服务器上的服务,因此这可能不适用于所有环境。

更多Ubuntu相关信息见Ubuntu 专题页面 https://www.linuxidc.com/topicnews.aspx?tid=2

Linux公社的RSS地址https://www.linuxidc.com/rssFeed.aspx

本文永久更新链接地址https://www.linuxidc.com/Linux/2019-03/157493.htm


8

本栏最新